<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>TOP</title>
    <style>
        body{
            margin:0;
            padding:0;
            overflow: hidden;
            /*cursor: none;*/
        }
        canvas{
            padding:0;
            margin:0;
        }
        #close-container {
            position: absolute;
            right: 0px;
            top: 0px;
            min-width: 300px;
            min-height: 300px;
            padding: 30px;
            display: flex;
            justify-content: flex-end;
            z-index: 1000;
        }
        #close-container:hover #close-icon {
            opacity: 1;
        }
        #close-icon {
            width: 50px;
            height: 50px;
            opacity: 0;
            transition: opacity 0.2s;
        }
    </style>
</head>
<body>

<script src="http://localhost:5000/app/js/deep-diff/dist/deep-diff.min.js"></script>
<script src="http://localhost:5000/app/js/lodash/lodash.min.js"></script>
<script src="http://localhost:5000/app/js/socket.io/socket.io.js"></script>
<script src="http://localhost:5000/app/js/p5/lib/p5.min.js"></script>
<script src="http://localhost:5000/app/js/lib/p5.monit.js"></script>
<script src="http://localhost:5000/app/js/Tone.js/Tone.min.js"></script>
<script src="sketch.js"></script>

<div id="close-container">
    <div id="close-icon">
        <svg width="100%" height="100%" viewBox="0 0 17 17" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path fill-rule="evenodd" clip-rule="evenodd" d="M16 1.82792L2.82792 14.9999L2 14.172L15.1721 1L16 1.82792Z" fill="#3580c2"/>
            <path fill-rule="evenodd" clip-rule="evenodd" d="M15.1721 15L2.00009 1.82793L2.828 1L16 14.172L15.1721 15Z" fill="#3580c2"/>
        </svg>
    </div>
</div>

<script type="text/javascript">

    let eventconnection = undefined;
    let connetionopen = false;

    let eventwsConnect = function() {
        //instanciate
        eventconnection = new WebSocket("ws://localhost:5002");
        //on open
        eventconnection.onopen = () => {
            connetionopen = true;
        }
        //on close
        eventconnection.onclose = (err) => {
            connetionopen = false;
            setTimeout(()=>{eventwsConnect()},3000)
        };
        //on message
        eventconnection.onmessage = (message) => {};
        //on error
        eventconnection.onerror = function (err) {};
    }

    const close = document.getElementById("close-icon");
    close.addEventListener("click", () => {
        if (connetionopen) eventconnection.send(JSON.stringify({type:"terminate"}));
    })

    eventwsConnect();

</script>

</body>
</html>